package com.idv2.learnjsp;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 * Servlet implementation class for Servlet: SessionTest
 *
 */
 public class SessionTest extends javax.servlet.http.HttpServlet implements javax.servlet.Servlet {
	
	/**
	 * 自动生成的序列号
	 */
	private static final long serialVersionUID = -1259668260301418363L;

	/* (non-Java-doc)
	 * @see javax.servlet.http.HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		
		// 获取session对象
		HttpSession session = request.getSession();
		
		// 检查session对象中的用户名，这个用户名由DoLogin servlet设置
		String user = (String) session.getAttribute("username");
		
		if (user == null) {
			// 如果用户名不存在，则认为用户未登录
			RequestDispatcher rd = request.getRequestDispatcher("/login.html");
			rd.forward(request, response);

		} else {
			// 用户名存在则认为已登录
			// 从application作用域中取得系统总共的登录次数并显示
			ServletContext context = getServletContext();
			Integer countObject = (Integer) context.getAttribute("logincount");
			int count = 0;
			if (countObject != null) {
				count = countObject.intValue();
			}
		
			response.setContentType("text/html; charset=UTF-8");
			PrintWriter out = response.getWriter();
			
			out.println("<html>");
			out.println("<head>");
			out.println("<title>Hello, " + user + "!</title>");
			out.println("</head>");
			out.println("<body>");
			out.println("<h1>欢迎，" + user + "!</h1>");
			out.println("您是系统中的第" + count + "个登录者。<br/>");
			out.println("<a href=\"/LearnJSP/dologout\">注销</a>");
			out.println("</body>");
			out.println("</html>");
		}
	}
}